<?php

// specific values for my modified plotter RS232 Aritma Minigraf
//
// stty -F /dev/ttyS0 9600 cs8 clocal cread -cstopb -parenb parodd -echo crtscts raw
//
// paper size A4
//
// 203x203dpi
// size of usable area 1504 x 2104 steps (188x263mm)
// size of step 1/8mm (0.125mm) in both axis
//
// coordinate [0,0] is at bottom left corner

define ("CFG_CHARW", 18);		// character width	18*80*1 = 1440 (usefull only for monospace font)
define ("CFG_LINEH", 36);		// line height		36*60*1 = 2160 (bigger than CFG_PAPERH = less lines)

define ("CFG_MARGIN_LEFT", 20);		// left margin in plotter steps
define ("CFG_MARGIN_BOTTOM", 20);	// bottom margin in plotter steps (for long characters - mostly in scriptc font)

define ("CFG_PAPERW", 1450);		// width of printable area
define ("CFG_PAPERH", 2100);		// height of printable area - must be less than 9000 minus scale * line heigh

define ("CFG_SCALE", 1);		// how many plotter steps per one step defined in font

?>
